petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetCoarseDM

Get the coarse mesh from which this was obtained by refinement

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCoarseDM(DM dm, DM *cdm)

### Input Parameter

dm -The DM object

### Output Parameter

cdm -The coarse DM

### See Also

DMSetCoarseDM()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ksp/ksp/examples/tutorials/ex73.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages